<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if($data->gevangenis + $data->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>

<?php

$dbres		=	mysql_query("SELECT * FROM `ziekenhuis` WHERE `land`='{$data->land}'");
$ziekenhuis	=	mysql_fetch_object($dbres);

	if($ziekenhuis->verkoop == "1"){ 
	echo "<table align=\"center\" width=\"600\"><tr><td class=\"subTitle\"><b>Ziekenhuis</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">Dit ziekenhuis is momenteel te koop gezet op marktplaats."; 
	} else if($ziekenhuis->owner == ""){ 
	echo "<table align=\"center\" width=\"600\"><tr><td class=\"subTitle\"><b>Ziekenhuis</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">Dit ziekenhuis is door niemand in bezit.";
	} else {

	$prijsa		=	geld($ziekenhuis->prijsa);
	$prijsb		=	geld($ziekenhuis->prijsb);
	$prijsab	=	geld($ziekenhuis->prijsab);
	$prijso		=	geld($ziekenhuis->prijso);

?>

<table width="600" align="center">
	<tr>
		<td width="20%" class="subTitle" align="center"><b>Bloedgroep:</b></td>
		<td width="40%" class="subTitle" align="center"><b>Aantal:</b></td> 
		<td width="40%" class="subTitle" align="center"><b>Prijs:</b></td>
	</tr>
	<tr>
		<td width="20%" class="mainTxt" align="center">A</td>
		<td width="40%" class="mainTxt" align="center"><?php echo $ziekenhuis->aantala; ?> units</td> 
		<td width="40%" class="mainTxt" align="center">€ <?php echo $prijsa ?></td>
	</tr>
	<tr>
		<td width="20%" class="mainTxt" align="center">B</td>
		<td width="40%" class="mainTxt" align="center"><?php echo $ziekenhuis->aantalb; ?> units</td> 
		<td width="40%" class="mainTxt" align="center">€ <?php echo $prijsb; ?></td>
	</tr>
	<tr>
		<td width="20%" class="mainTxt" align="center">AB</td>
		<td width="40%" class="mainTxt" align="center"><?php echo $ziekenhuis->aantalab; ?> units</td> 
		<td width="40%" class="mainTxt" align="center">€ <?php echo $prijsab; ?></td>
	</tr>
	<tr>
		<td width="20%" class="mainTxt" align="center">O</td>
		<td width="40%" class="mainTxt" align="center"><?php echo $ziekenhuis->aantalo; ?> units</td> 
		<td width="40%" class="mainTxt" align="center">€ <?php echo $prijso; ?></td>
	</tr>
</table>
<form method="post">

<?php

		if(isset($_POST['submit'])){
		echo "<table align=\"center\" width=\"600\"><tr><td class=\"subTitle\"><b>Ziekenhuis</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">";
		$aantal	=	$_POST['aantal'];
		$groep	=	$_POST['bloed'];
			if($aantal == ""){
			echo "Vul wel een aantal bloedunits in.<meta http-equiv=\"refresh\" content=\"3\">";
			} else if($aantal < 1){
			echo "Je moet wel boven de 0 units invullen.<meta http-equiv=\"refresh\" content=\"3\">";
			} else if(($ziekenhuis->aantala < $aantal && $groep == "a") || ($ziekenhuis->aantalb < $aantal && $groep == "b") || ($ziekenhuis->aantalab < $aantal && $groep == "ab") || ($ziekenhuis->aantalo < $aantal && $groep == "o")){
			echo "Er zijn niet genoeg units aanwezig voor zoveel units.<meta http-equiv=\"refresh\" content=\"3\">";
			} else if(! is_numeric($aantal)){
			echo "Het aantal units wat is ingevoerd bestaat niet geheel uit cijvers.<meta http-equiv=\"refresh\" content=\"3\">";
			} else if($aantal+$data->health > 100){
			echo "Je kunt niet boven de 100% health hebben.<meta http-equiv=\"refresh\" content=\"3\">";
			} else if(($aantal*$ziekenhuis->prijsa > $data->cash && $groep == "a") || ($aantal*$ziekenhuis->prijsb > $data->cash && $groep == "b") || ($aantal*$ziekenhuis->prijsab > $data->cash && $groep == "ab") || ($aantal*$ziekenhuis->prijso > $data->cash && $groep == "o")){
			echo "Je hebt niet genoeg geld voor zoveel bloedunits.<meta http-equiv=\"refresh\" content=\"3\">";
			} else {
				if($groep == "a"){
				$totaal	=	$ziekenhuis->prijsa*$aantal;
				$geld	=	geld($totaal);
				mysql_query("UPDATE `ziekenhuis` SET `aantala`=`aantala`-'$aantal'  WHERE `land`='{$data->land}'");
				} else if($groep == "b"){
				$totaal	=	$ziekenhuis->prijsb*$aantal;
				$geld	=	geld($totaal);
				mysql_query("UPDATE `ziekenhuis` SET `aantalb`=`aantalb`-'$aantal'  WHERE `land`='{$data->land}'");
				} else if($groep == "ab"){
				$totaal	=	$ziekenhuis->prijsab*$aantal;
				$geld	=	geld($totaal);
				mysql_query("UPDATE `ziekenhuis` SET `aantalab`=`aantalab`-'$aantal'  WHERE `land`='{$data->land}'");
				} else {
				$totaal	=	$ziekenhuis->prijso*$aantal;
				$geld	=	geld($totaal);
				mysql_query("UPDATE `ziekenhuis` SET `aantalo`=`aantalo`-'$aantal'  WHERE `land`='{$data->land}'");
				}

			mysql_query("UPDATE `gebruiker` SET `health`=`health`+'$aantal',`cash`=`cash`-'$totaal' WHERE `login`='{$data->login}'");
			mysql_query("UPDATE `opbrensten` SET `geld`=`geld`+'$totaal' WHERE `land`='{$data->land}' AND `soort`='4'");
			mysql_query("UPDATE `gebruiker` SET `bank`=`bank`+'$totaal' WHERE `login`='{$ziekenhuis->owner}'");
			echo "Je hebt succesvol {$aantal}% health gekocht voor €$geld.<meta http-equiv=\"refresh\" content=\"3\">";
			}
		echo "</td></tr></table>";
		} else {
		echo "<table align=\"center\" width=\"600\"><tr><td class=\"subTitle\"><b>Ziekenhuis</b></td></tr><tr><td class=\"mainTxt\">";
			if($data->blood == 1){
			$bloed	=	"a";
			$select	=	"<select name=bloed style=\"width:100px\"><option value=a>a</option><option value=o>o</option></select>";
			} else if($data->blood == 2){
			$bloed	=	"b";
			$select	=	"<select name=bloed style=\"width:100px\"><option value=b>b</option><option value=o>o</option></select>";
			} else if($data->blood == 3){
			$bloed	=	"ab";
			$select	=	"<select name=bloed style=\"width:100px\"><option value=a>a</option><option value=b>b</option><option value=ab>ab</option><option value=o>o</option></select>";
			} else if($data->blood == 4){
			$bloed	=	"o";
			$select	=	"<select name=bloed style=\"width:100px\"><option value=o>o</option></select>";
			}
		echo "Dit ziekenhuis wordt beheerd door: <a href=\"speler-profiel.php?x={$ziekenhuis->owner}\" target=\"content\">{$ziekenhuis->owner}</a>.<br>Je hebt bloedgroep $bloed en je hebt nog {$data->health}% health.<br><br>Koop <input type=\"text\" name=\"aantal\" style=\"width:100px\" maxlength=\"2\"> dosissen bloed van bloedgroep $select <input name=\"submit\" style=\"width:100px\" type=\"submit\" value=\"Koop\">";
		echo "</td></tr></table>";
		}

	}

?>

</form>
</body>
</html>